Debian Bug report logs - #676229
gnustep-make: should depend on a chosen version of gobjc, not just "gobjc"

version graph

Package: gnustep-make; Maintainer for gnustep-make is Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>; Source for gnustep-make is src:gnustep-make.

Reported by: Wolfgang Sourdeau <wsourdeau@inverse.ca>

Date: Tue, 5 Jun 2012 14:18:01 UTC

Severity: grave

Found in version gnustep-make/2.6.2-2

Done: Michael Stapelberg <stapelberg@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#676229; Package gnustep-make. (Tue, 05 Jun 2012 14:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Sourdeau <wsourdeau@inverse.ca>:
New Bug report received and forwarded. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Tue, 05 Jun 2012 14:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wolfgang Sourdeau <wsourdeau@inverse.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnustep-make: should depend on a chosen version of gobjc, not just "gobjc"
Date: Tue, 05 Jun 2012 10:08:23 -0400
Package: gnustep-make
Version: 2.6.2-2
Severity: grave
Justification: renders package unusable

It is currently impossible to install a dev environment for GNUstep. This is because, on one side, gnustep-make depends on libgnustep-base-dev, which depends on libgnustep-base-XX which currently depends on gobjc-4.6, and, on the other side, gnustep-make depends on gobjc, which is a metapackage depending on gobjc-4.7.
This leaves a situation where both libobjc libs must be installed, while being binary-incompatible with each other (expectedly).

Since this will likely occur again at each update of gcc, gnustep-make should depend on a chosen version of gobjc-XX and stick to it until all packages are rebuilt.
In general, the default version of GCC does not change often during the development of a Debian release and it would provide a safe way to update packages without risking screwing up the GNUstep installation.

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable
  APT policy: (500, 'stable'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.37-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnustep-make depends on:
ii  gnustep-common [gnustep-fslay 2.4.0-3    Common files for the core GNUstep 

gnustep-make recommends no packages.

Versions of packages gnustep-make suggests:
pn  gnustep-base-common           <none>     (no description available)
pn  gnustep-make-doc              <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#676229; Package gnustep-make. (Tue, 05 Jun 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yavor Doganov <yavor@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Tue, 05 Jun 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 676229@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: Wolfgang Sourdeau <wsourdeau@inverse.ca>, 676229@bugs.debian.org
Subject: Re: Bug#676229: gnustep-make: should depend on a chosen version of gobjc, not just "gobjc"
Date: Tue, 05 Jun 2012 17:48:08 +0300
block 676229 with 673538
thanks

Wolfgang Sourdeau wrote:
> Package: gnustep-make
> Justification: renders package unusable

Yes, currently it is unusable out of the box in sid/wheezy, at least
on x86 architectures where gcc-4.7 is the default compiler.  You can
still build stuff with CC=gcc-4.6.  Or you can install the new GNUstep
stack from experimental.

> It is currently impossible to install a dev environment for
> GNUstep.

Right, we're in the middle of a transition period when GCC 4.7 is the
default on some archs while the current gnustep-base package lacks
support for the new ObjC runtime.

> Since this will likely occur again at each update of gcc,
> gnustep-make should depend on a chosen version of gobjc-XX and stick
> to it until all packages are rebuilt.

I disagree.  This was the case when GCC 4.6 became the default, and we
had a libobjc2->3 transition.  There was a considerably large period
of time when GNUstep stuff was in a similarly broken state too.

The solution is to coordinate the transitions (GCC <-> GNUstep), which
we generally strive to do.  It looks like this time gcc-4.7 became the
default too early (usually this should have happened when 4.7.1 is
released), while we (GNUstep team) were sloppy enough not to update
the GNUstep core libraries in time, for example a few months ago.

Apologies for the inconvenience, I hope we'll be able to fix these
problems soon; see http://bugs.debian.org/673538.




Added blocking bug(s) of 676229: 673538 Request was from Yavor Doganov <yavor@gnu.org> to control@bugs.debian.org. (Tue, 05 Jun 2012 14:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#676229; Package gnustep-make. (Sat, 14 Jul 2012 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeroen Dekkers <jeroen@dekkers.ch>:
Extra info received and forwarded to list. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Sat, 14 Jul 2012 13:09:03 GMT) Full text and rfc822 format available.

Message #17 received at 676229@bugs.debian.org (full text, mbox):

From: Jeroen Dekkers <jeroen@dekkers.ch>
To: 676229@bugs.debian.org
Subject: Re: Bug#676229: gnustep-make: should depend on a chosen version of gobjc, not just "gobjc"
Date: Sat, 14 Jul 2012 14:46:50 +0200
Am I missing something that still needs to be done or is this bug
fixed by the upload of gnustep-base 1.22.1-3 and can be closed?

Kind regards,

Jeroen Dekkers




Reply sent to Michael Stapelberg <stapelberg@debian.org>:
You have taken responsibility. (Sun, 25 Nov 2012 20:39:19 GMT) Full text and rfc822 format available.

Notification sent to Wolfgang Sourdeau <wsourdeau@inverse.ca>:
Bug acknowledged by developer. (Sun, 25 Nov 2012 20:39:19 GMT) Full text and rfc822 format available.

Message #22 received at 676229-done@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Jeroen Dekkers <jeroen@dekkers.ch>
Cc: 676229-done@bugs.debian.org
Subject: Re: Bug#676229: gnustep-make: should depend on a chosen version of gobjc, not just "gobjc"
Date: Sun, 25 Nov 2012 21:37:31 +0100
On Sat, 14 Jul 2012 14:46:50 +0200
Jeroen Dekkers <jeroen@dekkers.ch> wrote:
> Am I missing something that still needs to be done or is this bug
> fixed by the upload of gnustep-base 1.22.1-3 and can be closed?
IMO, the bug is fixed. I cannot see any dependency on gobjc-4.6 anymore
in a recent wheezy virtual machine and installation works just fine:

# apt-get install gnustep-make
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  cpp-4.3 gcc-4.3-base libgmp3c2 linux-headers-2.6-amd64 linux-headers-2.6.32-5-common linux-kbuild-2.6.32 python-support
  virtualbox-ose-guest-dkms virtualbox-ose-guest-utils
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  autotools-dev gnustep-common gobjc gobjc-4.7 libobjc4
Suggested packages:
  gnustep-base-common gnustep-make-doc gobjc-multilib gobjc-4.7-multilib gcc-4.7-doc libobjc4-dbg
The following NEW packages will be installed:
  autotools-dev gnustep-common gnustep-make gobjc gobjc-4.7 libobjc4
0 upgraded, 6 newly installed, 0 to remove and 0 not upgraded.


Since there was no objection for many months, I am closing this bug
now.

-- 
Best regards,
Michael



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 24 Dec 2012 07:26:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:11:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.